/*
	File:  	FrazPEF.h

	Fragmalyzer Plug-in Interface - Preferred Executable Format (PEF)
	
	Version:	1.5
	Date: 	October 2000
	
	Copyright  2000 Dan Wright, All rights reserved.
	
	Bugs?: 	Please include the name of this file, the version, and the date (above). 
			Send bug reports to danwr@kagi.com. 
	
	Updates: 	http://www.halcyon.com/danwr/smoothie.html
*/

#ifndef __FRAZPEF__
#define __FRAZPEF__


#ifndef __PEFBINARYFORMAT__
	#include <PEFBinaryFormat.h>
#endif

#include "FrazRegistry.h"

#if PRAGMA_ONCE
	#pragma once
#endif

#ifdef __cplusplus
	extern "C"	{
#endif



enum {
	kFrazPropConnectionID	= pConnectionID,
	
	kPropPEFAppSubdirAliasID = FOUR_CHAR_CODE('~pal'),	// property of application FragmentRef (cf kFrazPropAppSubdirID)
		
	kPropPEFContainerHeader 	= FOUR_CHAR_CODE('~pch'),	// property of FragmentRef
	kPropPEFCodeSection 	= FOUR_CHAR_CODE('~pc'),	// property of FragmentRef (UInt16: index of code section)
	kPropPEFLoaderSection 	= FOUR_CHAR_CODE('~pl'),
	kPropPEFDataSection 	= FOUR_CHAR_CODE('~pd'),	// (first data section)
	
	kPropPEFLoaderHeader 	= FOUR_CHAR_CODE('~plh'),
	
	kPropPEFImportedLibrary 	= FOUR_CHAR_CODE('~pil')	// property of LibraryRef
	};
	


#ifdef __cplusplus
		}
#endif

#endif /* __FRAZPEF__ */